Bug 525759 - Review Request: qtcurve-kde4 - A set of widget styles for Qt4/KDE4 based apps
Summary: Review Request: qtcurve-kde4 - A set of widget styles for Qt4/KDE4 based apps
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-25 15:59 UTC by Thomas Janssen
Modified: 2009-10-16 11:11 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-16 11:11:51 UTC
rdieter: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Thomas Janssen 2009-09-25 15:59:44 UTC
Spec URL: http://thomasj.fedorapeople.org/reviews/QtCurve-KDE4.spec
SRPM URL: http://thomasj.fedorapeople.org/reviews/QtCurve-KDE4-0.68.1-1.fc10.src.rpm
Description:
QtCurve is a desktop theme for the GTK+ and Qt widget toolkits,
allowing users to achieve a uniform look between three widget toolkits.

[thomas@tusdell SPECS]$ rpmlint QtCurve-KDE4.spec ../SRPMS/QtCurve-KDE4-0.68.1-1.fc10.src.rpm ../RPMS/x86_64/QtCurve-KDE4-*                                                                 
4 packages and 1 specfiles checked; 0 errors, 0 warnings.

http://koji.fedoraproject.org/koji/taskinfo?taskID=1707213

Comment 1 Thomas Janssen 2009-09-28 18:07:12 UTC
Spec URL: http://thomasj.fedorapeople.org/reviews/qtcurve-kde4.spec
SRPM URL: http://thomasj.fedorapeople.org/reviews/qtcurve-kde4-0.68.1-2.fc10.src.rpm

[thomas@tusdell SPECS]$ rpmlint qtcurve-kde4.spec ../SRPMS/qtcurve-kde4-0.68.1-2.fc10.src.rpm ../RPMS/x86_64/qtcurve-kde4-0.68.1-2.fc10.x86_64.rpm ../RPMS/x86_64/qtcurve-kde4-debuginfo-0.68.1-2.fc10.x86_64.rpm
3 packages and 1 specfiles checked; 0 errors, 0 warnings.

http://koji.fedoraproject.org/koji/taskinfo?taskID=1713885

Changed name to lowercase for sanity.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 2 Thomas Janssen 2009-10-04 10:47:12 UTC
- Added Build comment
- better use of name macro

Spec URL: http://thomasj.fedorapeople.org/reviews/qtcurve-kde4.spec
SRPM URL: http://thomasj.fedorapeople.org/reviews/qtcurve-kde4-0.68.1-3.fc10.src.rpm

[thomas@tusdell ~]$ rpmlint rpmbuild/SPECS/qtcurve-kde4.spec rpmbuild/SRPMS/qtcurve-kde4-0.68.1-3.fc10.src.rpm rpmbuild/RPMS/x86_64/qtcurve-kde4-*-3*
3 packages and 1 specfiles checked; 0 errors, 0 warnings.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 3 Rex Dieter 2009-10-12 17:08:08 UTC
A few comments:

1.  %files, use instead:
%{_kde4_appsdir}/QtCurve/
else that dir is unowned

2.  %post/%postun scriptlets aren't needed (no shlibs here)

3.  use of sed in %prep
I'd prefer (upstreamable) patches here, but we don't need to consider that a blocker for now.  we can sort that out later.

4.  can drop extraneous
BR: qt-devel


We noticed in #fedora-kde today in testing this, that the windeco is a bit borked, please notify upstream.

Comment 4 Thomas Janssen 2009-10-13 12:57:14 UTC
(In reply to comment #3)
> A few comments:
> 
> 1.  %files, use instead:
> %{_kde4_appsdir}/QtCurve/
> else that dir is unowned

Done

> 2.  %post/%postun scriptlets aren't needed (no shlibs here)

I should find a website that educates me to identify shlibs.

> 3.  use of sed in %prep
> I'd prefer (upstreamable) patches here, but we don't need to consider that a
> blocker for now.  we can sort that out later.

Ok, there's only one sed left. And that one is needed for %find-lang %{name}
due to the name change. Not sure if upstream would fix that.

> 4.  can drop extraneous
> BR: qt-devel

Done
 
> We noticed in #fedora-kde today in testing this, that the windeco is a bit
> borked, please notify upstream.  

Upstream notified. No bug tracker there. kde-look.org own mail interface used.

Spec URL: http://thomasj.fedorapeople.org/reviews/qtcurve-kde4.spec
SRPM URL: http://thomasj.fedorapeople.org/reviews/qtcurve-kde4-0.69.0-1.fc10.src.rpm

http://koji.fedoraproject.org/koji/taskinfo?taskID=1743415

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 5 Rex Dieter 2009-10-13 18:10:59 UTC
Similar to the qtcurve-gtk2, I've also been using -kde4 over the past day or so, and it works well (modulo the win deco thing... not sure if we should consider omitting it instead of shipping it that way to avoid the inevitable bug reports)

I see no remaining blockers, good work.

APPROVED.

Comment 6 Thomas Janssen 2009-10-13 18:27:33 UTC
New Package CVS Request
=======================
Package Name: qtcurve-kde4
Short Description: This is a set of widget styles for Qt4/KDE4 based apps
Owners: thomasj
Branches: F-10 F-11 F-12
InitialCC: 

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 7 Kevin Fenzi 2009-10-15 17:28:04 UTC
cvs done.

Comment 8 Thomas Janssen 2009-10-16 11:11:51 UTC
Thanks guys for the review and cvs/pkgdb work. It's built. I close it now.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers


Note You need to log in before you can comment on or make changes to this bug.